# mplayer_mptr Class Reference

`#include <mptr_mplayer.h>`

Inheritance diagram for mplayer_mptr:

List of all members.

## Public Member Functions

| mplayer_mptr (const char *filename)
| ~mplayer_mptr ()
virtual bool | GetFrame (synfig::Time time, synfig::Surface &, synfig::ProgressCallback *)

## Static Public Member Functions

static synfig::Importer * | New (const char *filename)

## Static Public Attributes

static const char | Name [] = "avi"
static const char | Ext [] = "avi"

## Constructor & Destructor Documentation

mplayer_mptr::mplayer_mptr | ( | const char * | filename | ) |

Referenced by New().

mplayer_mptr::~mplayer_mptr | ( |  | ) |

## Member Function Documentation

bool mplayer_mptr::GetFrame | ( | synfig::Time | time,
|  | synfig::Surface & | surface,
|  | synfig::ProgressCallback * |  |
| ) |  |  | `[virtual]`

Importer * mplayer_mptr::New | ( | const char * | filename | ) | `[static]`

References mplayer_mptr().

## Member Data Documentation

const char mplayer_mptr::Name = "avi"`[static]`

const char mplayer_mptr::Ext = "avi"`[static]`

The documentation for this class was generated from the following files:

- mptr_mplayer.h
- mptr_mplayer.cpp